Skip to main content
`Ctrl`+`K`

# PCMGGetCoarseSolve

Gets the solver context to be used on the coarse grid.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCMGGetCoarseSolve(PC pc, KSP *ksp)

Not Collective

## Input Parameter

- pc - the multigrid context

## Output Parameter

- ksp - the coarse grid solver context

## See Also

KSP: Linear System Solvers, `PCMG`, `PCMGGetSmootherUp()`, `PCMGGetSmootherDown()`, `PCMGGetSmoother()`

## Level

advanced

## Location

src/ksp/pc/impls/mg/mgfunc.c

## Examples

src/ksp/ksp/tutorials/ex56.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages